{
  onResidualOrder: 28,
  onResidualSubOrder: 2,
  onResidual(pokemon, source) {
    if (!pokemon.hp) {
      return;
    }
    if (pokemon.hasType("Dragon")) {
      this.heal(pokemon.baseMaxhp / 8);
    }
    for (const target of pokemon.allies()) {
      if (target.hasType("Dragon")) {
        this.heal(target.baseMaxhp / 8, target, source);
      }
    }
  },
  onDamagingHitOrder: 1,
  onDamagingHit(damage, target, source, move) {
    if (!target.hp) {
      this.actions.useMove("explosion", target, source);
    }
  },
  flags: {},
  name: "Dragon Core",
  rating: 2,
  num: -32018
}